org.apache.hc.client5.http.auth

## Interface AuthCache

All Known Implementing Classes:
  BasicAuthCache

    public interface AuthCache

This interface represents an cache of `AuthScheme` state information that can be re-used for preemptive authentication by subsequent requests.

Since:
  4.1

### Method Summary

Methods
`void` `clear()`
`AuthScheme` `get(HttpHost host)`
`void` `put(HttpHost host, AuthScheme authScheme)`
`void` `remove(HttpHost host)`

### Method Detail

#### put

    void put(HttpHost host,
           AuthScheme authScheme)

#### get

    AuthScheme get(HttpHost host)

#### remove

    void remove(HttpHost host)

#### clear

    void clear()